AgentManager (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.AgentManager interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface AgentManager

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface AgentManager

extends LogicalElement

This model object represents the Agent Manager tab in the Domino server administration GUI. All the fields are derived from the server document in the names.nsf file.

Naming Rules:
  0="parent" 1="managedSystemName"
Persistable:
  true
Table Name:
  AGENTMGR
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDayEndTime()` EndTime
`java.lang.String` | `getDayStartTime()` StartTime
`java.lang.String` | `getDaytimeParametersMaxPercentageBeforeBusy()` PercentTime
`int` | `getMaxDayLotusScriptJavaExecutionTime()` MaxExecution
`int` | `getMaxNightLotusScriptJavaExecutionTime()` MaxMaxExecution
`java.lang.String` | `getNightEndTime()` MaxEndTime
`java.lang.String` | `getNightStartTime()` MaxStartTime
`java.lang.String` | `getNighttimeParametersMaxPercentageBeforeBusy()` MaxPercentTime
`DominoServer` | `getParent()` The domino server that contains this agent manager.
`java.lang.String` | `getRefreshAgentCache()` The field ReloadTime
`int` | `getSetDayMaxConcurrentAgents()` ConcurrentAgents
`int` | `getSetNightMaxConcurrentAgents()` "MaxConcurrentAgents"
`java.lang.String` | `getSetNightStartTime()` MaxStartTime
`boolean` | `hasDayEndTime()`
`boolean` | `hasDayStartTime()`
`boolean` | `hasDaytimeParametersMaxPercentageBeforeBusy()`
`boolean` | `hasMaxDayLotusScriptJavaExecutionTime()`
`boolean` | `hasMaxNightLotusScriptJavaExecutionTime()`
`boolean` | `hasNightEndTime()`
`boolean` | `hasNightStartTime()`
`boolean` | `hasNighttimeParametersMaxPercentageBeforeBusy()`
`boolean` | `hasParent()`
`boolean` | `hasRefreshAgentCache()`
`boolean` | `hasSetDayMaxConcurrentAgents()`
`boolean` | `hasSetNightMaxConcurrentAgents()`
`boolean` | `hasSetNightStartTime()`
`void` | `setDayEndTime(java.lang.String s)`
`void` | `setDayStartTime(java.lang.String s)`
`void` | `setDaytimeParametersMaxPercentageBeforeBusy(java.lang.String s)`
`void` | `setMaxDayLotusScriptJavaExecutionTime(int s)`
`void` | `setMaxNightLotusScriptJavaExecutionTime(int s)`
`void` | `setNightEndTime(java.lang.String s)`
`void` | `setNightStartTime(java.lang.String s)`
`void` | `setNighttimeParametersMaxPercentageBeforeBusy(java.lang.String s)`
`void` | `setParent(DominoServer s)`
`void` | `setRefreshAgentCache(java.lang.String s)`
`void` | `setSetDayMaxConcurrentAgents(int s)`
`void` | `setSetNightMaxConcurrentAgents(int s)`
`void` | `setSetNightStartTime(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DominoServer s)

### getParent

    DominoServer getParent()
                           throws AttributeNotSetException

  The domino server that contains this agent manager.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setRefreshAgentCache

    void setRefreshAgentCache(java.lang.String s)

### getRefreshAgentCache

    java.lang.String getRefreshAgentCache()
                                          throws AttributeNotSetException

  The field ReloadTime

  Throws:
    `AttributeNotSetException`

### hasRefreshAgentCache

    boolean hasRefreshAgentCache()

### setDayStartTime

    void setDayStartTime(java.lang.String s)

### getDayStartTime

    java.lang.String getDayStartTime()
                                     throws AttributeNotSetException

  StartTime

  Throws:
    `AttributeNotSetException`

### hasDayStartTime

    boolean hasDayStartTime()

### setDayEndTime

    void setDayEndTime(java.lang.String s)

### getDayEndTime

    java.lang.String getDayEndTime()
                                   throws AttributeNotSetException

  EndTime

  Throws:
    `AttributeNotSetException`

### hasDayEndTime

    boolean hasDayEndTime()

### setSetDayMaxConcurrentAgents

    void setSetDayMaxConcurrentAgents(int s)

### getSetDayMaxConcurrentAgents

    int getSetDayMaxConcurrentAgents()
                                     throws AttributeNotSetException

  ConcurrentAgents

  Throws:
    `AttributeNotSetException`

### hasSetDayMaxConcurrentAgents

    boolean hasSetDayMaxConcurrentAgents()

### setMaxDayLotusScriptJavaExecutionTime

    void setMaxDayLotusScriptJavaExecutionTime(int s)

### getMaxDayLotusScriptJavaExecutionTime

    int getMaxDayLotusScriptJavaExecutionTime()
                                              throws AttributeNotSetException

  MaxExecution

  Throws:
    `AttributeNotSetException`

### hasMaxDayLotusScriptJavaExecutionTime

    boolean hasMaxDayLotusScriptJavaExecutionTime()

### setSetNightStartTime

    void setSetNightStartTime(java.lang.String s)

### getSetNightStartTime

    java.lang.String getSetNightStartTime()
                                          throws AttributeNotSetException

  MaxStartTime

  Throws:
    `AttributeNotSetException`

### hasSetNightStartTime

    boolean hasSetNightStartTime()

### setNightEndTime

    void setNightEndTime(java.lang.String s)

### getNightEndTime

    java.lang.String getNightEndTime()
                                     throws AttributeNotSetException

  MaxEndTime

  Throws:
    `AttributeNotSetException`

### hasNightEndTime

    boolean hasNightEndTime()

### setSetNightMaxConcurrentAgents

    void setSetNightMaxConcurrentAgents(int s)

### getSetNightMaxConcurrentAgents

    int getSetNightMaxConcurrentAgents()
                                       throws AttributeNotSetException

  "MaxConcurrentAgents"

  Throws:
    `AttributeNotSetException`

### hasSetNightMaxConcurrentAgents

    boolean hasSetNightMaxConcurrentAgents()

### setMaxNightLotusScriptJavaExecutionTime

    void setMaxNightLotusScriptJavaExecutionTime(int s)

### getMaxNightLotusScriptJavaExecutionTime

    int getMaxNightLotusScriptJavaExecutionTime()
                                                throws AttributeNotSetException

  MaxMaxExecution

  Throws:
    `AttributeNotSetException`

### hasMaxNightLotusScriptJavaExecutionTime

    boolean hasMaxNightLotusScriptJavaExecutionTime()

### setNightStartTime

    void setNightStartTime(java.lang.String s)

### getNightStartTime

    java.lang.String getNightStartTime()
                                       throws AttributeNotSetException

  MaxStartTime

  Throws:
    `AttributeNotSetException`

### hasNightStartTime

    boolean hasNightStartTime()

### setDaytimeParametersMaxPercentageBeforeBusy

    void setDaytimeParametersMaxPercentageBeforeBusy(java.lang.String s)

### getDaytimeParametersMaxPercentageBeforeBusy

    java.lang.String getDaytimeParametersMaxPercentageBeforeBusy()
                                                                 throws AttributeNotSetException

  PercentTime

  Throws:
    `AttributeNotSetException`

### hasDaytimeParametersMaxPercentageBeforeBusy

    boolean hasDaytimeParametersMaxPercentageBeforeBusy()

### setNighttimeParametersMaxPercentageBeforeBusy

    void setNighttimeParametersMaxPercentageBeforeBusy(java.lang.String s)

### getNighttimeParametersMaxPercentageBeforeBusy

    java.lang.String getNighttimeParametersMaxPercentageBeforeBusy()
                                                                   throws AttributeNotSetException

  MaxPercentTime

  Throws:
    `AttributeNotSetException`

### hasNighttimeParametersMaxPercentageBeforeBusy

    boolean hasNighttimeParametersMaxPercentageBeforeBusy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD